summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeffrey Gardner <je_fro@gentoo.org>2007-08-09 09:40:46 +0000
committerJeffrey Gardner <je_fro@gentoo.org>2007-08-09 09:40:46 +0000
commit161a506c7a157ffcb54c8415ece8ee87ddb8de05 (patch)
tree20fd85530800331c547e2227f87d42de390b1167 /sci-libs/szip/szip-2.0.ebuild
parentAdd die commands (diff)
downloadje_fro-161a506c7a157ffcb54c8415ece8ee87ddb8de05.tar.gz
je_fro-161a506c7a157ffcb54c8415ece8ee87ddb8de05.tar.bz2
je_fro-161a506c7a157ffcb54c8415ece8ee87ddb8de05.zip
Moving cluster to science overlay, importing new projects.
svn path=/; revision=27
Diffstat (limited to 'sci-libs/szip/szip-2.0.ebuild')
-rw-r--r--sci-libs/szip/szip-2.0.ebuild32
1 files changed, 32 insertions, 0 deletions
diff --git a/sci-libs/szip/szip-2.0.ebuild b/sci-libs/szip/szip-2.0.ebuild
new file mode 100644
index 0000000..afafd5f
--- /dev/null
+++ b/sci-libs/szip/szip-2.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit flag-o-matic multilib autotools
+
+DESCRIPTION="Szip is an implementation of the extended-Rice lossless compression algorithm"
+HOMEPAGE="http://hdf.ncsa.uiuc.edu/doc_resource/SZIP/"
+SRC_URI="ftp://ftp.hdfgroup.org/lib-external/${PN}/${PV}/src/${P}.tar.gz"
+
+LICENSE="szip"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+
+src_compile() {
+
+ append-flags -DHAVE_UNISTD_H
+ append-ldflags -lm
+ eautoreconf
+ econf --with-gnu-ld || die "econf failed"
+ emake || die "emake failed"
+}
+
+#src_install() {
+# dodir /usr/include
+# dodir /usr/$(get_libdir)
+# make DESTDIR="" prefix=/usr install || die "make install failed"
+#}